Imports Telerik.Web.UI

Public Class Title
	Inherits System.Web.UI.UserControl

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

		Me.ZobrazitAplikace()
		'Me.ZobrazitVyhledavani()

	End Sub

#Region "  ZOBRAZIT APLIKACE A NASTAVENI  "

	Sub ZobrazitAplikace()

		Dim s As String = ""

		s &= "<ul class=""nav nav-pills apps"">"

        '# Lokalizace
        Dim sLanguage As String = "Čeština"
        If _Language = "en" Then
            sLanguage = "Angličtina"
        End If
        '@

        Dim sURL As String = HttpContext.Current.Request.RawUrl

        s &= PridatAplikaci("/Img/icoLanguage.png", sLanguage, 0, "#", "Čeština;/ChangeLanguage.aspx?lang=cz^Angličtina;/ChangeLanguage.aspx?lang=en", ddAlign.Vlevo, "Probíhá změna jazyka...")
        s &= PridatAplikaci("/Img/icoKeyboard.png", "Klávesové zkratky", 0, "", "Alt+A - Přidat nový záznam;#^Alt+S - Uložit záznam;#^Alt+B - Zpět na seznam;#", ddAlign.Vlevo, "")
		s &= PridatAplikaci("/Img/icoUser.png", _UserRealName, 0, "#", "Nastavení;/id-" & _UserID & "" & gadrUzivatelNastaveni & "^Správa uživatelů;" & gadrUzivatelSeznam & "^-;^Odhlásit;" & gadrOdhlasit, ddAlign.Vpravo, "Probíhá načítání uživatelských informací...")
		s &= "</ul>"

		phApps.Controls.Add(New LiteralControl(s))

	End Sub

	''' <summary>
	''' Pozice dropdown menu.
	''' </summary>
	Enum ddAlign
		Vlevo = 0
		Vpravo = 1
	End Enum

	''' <summary>
	''' Pridat aplikaci nebo nastaveni do horniho menu.
	''' </summary>
	''' <param name="sIkona">Ikona reprezentující aplikaci</param>
	''' <param name="sNazev">Nadpis aplikace</param>
	''' <param name="iPocetNeprectenych">Pocet neprectenych zprav</param>
	''' <param name="sOdkaz">Odkaz po klepnuti na aplikaci</param>
	''' <param name="sItems">Polozky, pokud je aplikace dropdown ve formatu - Nazev;Odkaz;^</param>
	''' <param name="sTextNacitani">Text po klepnuti na odkaz, ktery je zobrazený při načítání stránky</param>
	Function PridatAplikaci(sIkona As String, sNazev As String, iPocetNeprectenych As Int16, sOdkaz As String, sItems As String, DropDownPosition As ddAlign, Optional sTextNacitani As String = "Probíhá načítání stránky...") As String

		Dim s As String = ""

		s &= "<li class=""nav-item dropdown"">"
		s &= "<a class=""nav-link dropdown-toggle"" data-toggle=""dropdown"" href=""" & sOdkaz & """ role=""button"" aria-haspopup=""true"" aria-expanded=""false"">" &
			 "<img src=""" & sIkona & """ alt=""" & sNazev & """ />" 'Ikona aplikace

		If iPocetNeprectenych > 0 Then 'Pocet neprectenych polozek
			s &= "<span class=""label label-default"">" & iPocetNeprectenych & "</span>"
		End If

		s &= " <div class=""text hidden-sm-down"">" & sNazev & "</div></a>" 'Nazev aplikace

		If sItems <> "" Then 'Polozky v aplikaci, pokud jsou uvedene

			If DropDownPosition = ddAlign.Vlevo Then
				s &= "<div class=""dropdown-menu"">"
			Else
				s &= "<div class=""dropdown-menu dropdown-menu-right"">"
			End If

			Dim xItems() As String = sItems.Split("^") 'Rozdelit pole na jednotlive polozky menu

			For Each xItem As String In xItems
				If xItem = "" Then Continue For

				Dim xLinks() As String = xItem.Split(";") 'Rozdelit polozky menu na Nazev a Odkaz

				If xLinks.Length = 2 Then 'Pokud polozka obsahuje pouze nazev a odkaz
					If xLinks(0) = "-" Then
						s &= "<div class=""dropdown-divider""></div>"
					Else
						If xLinks(1) = "#" Then
							s &= "<div class=""dropdown-item"">" & xLinks(0) & "</div>"
						Else
							s &= "<a class=""dropdown-item"" href=""" & xLinks(1) & """ onclick=""ShowPopInfo('" & sTextNacitani & "');"">" & xLinks(0) & "</a>"
						End If

					End If
				End If

			Next

			s &= "</div>" 'end dropdown-menu

		End If

		s &= "</li>"

		Return s

	End Function

#End Region

#Region "  NADPIS A PODNADPIS  "

	Sub _Nadpis(text As String)

		phNadpis.Controls.Clear()
		If text = "" Then
			text = "Administrace"
		End If
		phNadpis.Controls.Add(New LiteralControl(_PrevestTextZBezpecneho((text))))

	End Sub

	Sub _Podnadpis(text As String)

		phPodnadpis.Controls.Clear()
		If text <> "" Then text = "&nbsp;&nbsp;" & text
		phPodnadpis.Controls.Add(New LiteralControl(_PrevestTextZBezpecneho((text))))

	End Sub

#End Region

End Class